Eu resolvi com um script bash .. (em suma, ele usa cifs rmmod cifs / modprobe - depois disso eu poderia montar o compartilhamento sem o tempo limite .. u)
#!/bin/bash
which timeout > /dev/null 2>&1; if [[ $? -ne 0 ]]; then echo -e '\nerror, no coreutils package'; exit 1; fi
which nc > /dev/null 2>&1; if [[ $? -ne 0 ]]; then echo -e '\nerror, no nc package'; exit 1; fi
# variables
PATHTOIT="//192.168.1.1/SHARE"
# functions
function notthesame()
{
# umount PATHTOIT
while 'mount | grep -qi $PATHTOIT'; do timeout -s 9 2 umount -l $PATHTOIT; done
timeout -s 9 2 pkill -9 -f "SHARE"
timeout -s 9 2 pkill -9 -f "umount -a -t cifs"
timeout -s 9 2 pkill -9 -f "/sbin/mount.cifs"
timeout -s 9 2 pkill -9 -f "rmmod -fw cifs"
timeout -s 9 2 pkill -9 -f "/sbin/modprobe -q -- cifs"
timeout -s 9 2 pkill nautilus
# remove/add cifs kernel module
timeout -s 9 2 rmmod -fw cifs
timeout -s 9 2 modprobe cifs
# mount PATHTOIT
timeout -s 9 2 mount $PATHTOIT
}
while true; do
# wait until we can reach the samba server
while true; do nc -w 1 192.168.1.1 139 >& /dev/null && break && sleep 10; done
# first sample
REGIINTERF='netstat -nr | awk '/0/ {print $NF}' | sort -u'
# sleep 10
sleep 10
# second sample
MILYENINTERFMOST='netstat -nr | awk '/0/ {print $NF}' | sort -u'
# compare the samples
[ "${MILYENINTERFMOST}" = "${REGIINTERF}" ] || notthesame
# if can't find mountpoint then mount it
if ! mount | grep -qi $PATHTOIT; then notthesame; fi
done